Subject: Re: [PATCH v2 0/8] sparse-checkout: add 'clean' command

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Aug 2025 17:27:10 -0700

Elijah Newren <[email-masked]> writes:

> On Thu, Aug 28, 2025 at 4:22 PM Junio C Hamano <[email-masked]> wrote:
>>
>> This seems to have a few comments that haven't been responded to
>> (plus a "This step looks good to me" or two).  Can we get it unstuck
>> soonish?  The topic is from mid July and I do not like to hold topics
>> in 'seen' for longer than a month without any activity.
>
> Stolee built this series on top of Ayush's topic to avoid conflicts
> for you, and he said
> (https://lore.kernel.org/git/[email-masked]/)
> that since you marked this as blocking on Ayush's topic, he didn't
> want to update until that topic moved.
>
> Do you want to instead kick Ayush's topic out and have Stolee rebase
> to no longer be on top of Ayush's, and have Ayush rebase anything he
> might do on top of Stolee's work?  (See also Ayush's recent update at
> https://lore.kernel.org/git/CAE7as+ZpEwiNsDAozoZXqHRLOF3+hT++uo=[email-masked]/)

It really depends on how unstable the base topic would be, but I
know Stolee is better than building his stuff on unusably unstable
crap, and that was the reason why I thought that updating this topic
on top of the same base would allow us to move forward faster, as it
would mean that everything would hopefully be ready _UNLESS_ the
change that needs to be made to the base topic is so extensive that
the topic on top would also need heavy updates _again_ once an
update to the base topic comes.